> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Create a Delivery API key POST https://api.contentful.com/spaces/{space_id}/api_keys Content-Type: application/vnd.contentful.management.v1+json This endpoint allows you to create a Delivery API key and its corresponding Preview API key. Reference: https://contentful.com/developers/docs/references/content-management-api/api-keys/create-a-delivery-api-key ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 201 Created - Resource created successfully - `map from string to any` ## Examples **Request** ```json { "environments": [ { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } } ], "name": "Example API Key" } ``` **Response** ```json { "accessToken": "b4c0n73n7fu1", "description": null, "environments": [ { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } } ], "name": "Example API Key", "preview_api_key": { "sys": { "id": "1Mx3FqXX5XCJDtNpVW4BZI", "linkType": "PreviewApiKey", "type": "Link" } }, "sys": { "createdAt": "2025-09-01T14:01:02.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "exampleapikey", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "ApiKey", "updatedAt": "2025-09-01T14:01:02.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 1 } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Create a new Key. final CMAApiKey key = new CMAApiKey() .setName("NewApiKey_" + Math.random()) .setDescription("SomethingDescriptive"); // Upload it to Contentful. client .apiKeys() .async() .create( key, new CMACallback() { @Override protected void onSuccess(CMAApiKey result) { new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Successfully created a new api keys." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch api keys." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Create a new locally key. final CMAApiKey key = new CMAApiKey() .setName("") .setDescription("") .addEnvironment(""); // Upload it to contentful. final CMAApiKey createdKey = client .apiKeys() .create("", key); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() // Create a new locally key. val key = CMAApiKey() .setName("") .setDescription("") .addEnvironment("") // Upload it to contentful. val createdKey = client .apiKeys() .create("", key) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.createApiKey({ name: 'API Key name' })) .then((apiKey) => console.log(apiKey)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) const key = await client.apiKey.create( { spaceId: '', }, { name: '', } ); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $deliveryApiKey = new \Contentful\Management\Resource\DeliveryApiKey('My API key'); $space->create($deliveryApiKey); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') api_key = client.api_keys('').create(name: 'My API Key') ``` ```python Python from contentful_management import Client client = Client('') api_key = client.api_keys('').create({'name': 'My API Key'}) ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var newKey = await client.CreateApiKey("Example API Key", "Description of key"); ```